Package org.codehaus.janino

# Class Java.NamedClassDeclaration

java.lang.Object
org.codehaus.janino.Java.AbstractTypeDeclaration
org.codehaus.janino.Java.AbstractClassDeclaration
org.codehaus.janino.Java.NamedClassDeclaration

All Implemented Interfaces:
  `Java.Annotatable`, `Java.ClassDeclaration`, `Java.DocCommentable`, `Java.Locatable`, `Java.NamedTypeDeclaration`, `Java.Scope`, `Java.TypeDeclaration`

Direct Known Subclasses:
  `Java.LocalClassDeclaration`, `Java.MemberClassDeclaration`, `Java.PackageMemberClassDeclaration`

Enclosing class:
  `Java`

public abstract static class Java.NamedClassDeclaration extends Java.AbstractClassDeclaration implements Java.NamedTypeDeclaration, Java.DocCommentable
Base for the various named class declarations.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.Type`
`extendedType`
The type of the extended class.
`final Java.Type[]`
`implementedTypes`
The types of the implemented interfaces.
`final String`
`name`
The simple name of this class.

### Fields inherited from class org.codehaus.janino.Java.AbstractClassDeclaration

`constructors, fieldDeclarationsAndInitializers`

### Fields inherited from class org.codehaus.janino.Java.AbstractTypeDeclaration

`anonymousClassCount, localClassCount`

## Constructor Summary

Constructors
Constructor
Description
`NamedClassDeclaration(Location location, String docComment, Java.Modifier[] modifiers, String name, Java.TypeParameter[] typeParameters, Java.Type extendedType, Java.Type[] implementedTypes)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDocComment()`
`String`
`getName()`
`boolean`
`hasDeprecatedDocTag()`
Returns `true` if the object has a doc comment and the `&#64;deprecated` tag appears in the doc comment.
`boolean`
`isAbstract()`
`boolean`
`isFinal()`
`boolean`
`isStrictfp()`
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.AbstractClassDeclaration

`addConstructor, addFieldDeclaration, addFieldDeclarationOrInitializer, addInitializer, defineSyntheticField, getSyntheticFields, getVariableDeclaratorsAndInitializers`

### Methods inherited from class org.codehaus.janino.Java.AbstractTypeDeclaration

`addDeclaredMethod, addMemberTypeDeclaration, createAnonymousClassName, createLocalTypeName, getAnnotations, getEnclosingScope, getLocation, getMemberTypeDeclaration, getMemberTypeDeclarations, getMethodDeclaration, getMethodDeclarations, getModifiers, getOptionalTypeParameters, invalidateMethodCaches, setEnclosingScope, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Annotatable

`getAnnotations`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

### Methods inherited from interface org.codehaus.janino.Java.NamedTypeDeclaration

`getOptionalTypeParameters`

### Methods inherited from interface org.codehaus.janino.Java.Scope

`getEnclosingScope`

### Methods inherited from interface org.codehaus.janino.Java.TypeDeclaration

`accept, createAnonymousClassName, createLocalTypeName, getClassName, getMemberTypeDeclaration, getMemberTypeDeclarations, getMethodDeclaration, getMethodDeclarations`

## Field Details

### name

public final String name
The simple name of this class.

### extendedType

@Nullable public final Java.Type extendedType
The type of the extended class.

### implementedTypes

public final Java.Type[] implementedTypes
The types of the implemented interfaces.

## Constructor Details

### NamedClassDeclaration

public NamedClassDeclaration(Location location, @Nullable String docComment, Java.Modifier[] modifiers, String name, @Nullable Java.TypeParameter[] typeParameters, @Nullable Java.Type extendedType, Java.Type[] implementedTypes)

## Method Details

### toString

public String toString()

Specified by:
  `toString` in class `Java.AbstractTypeDeclaration`

### getName

public String getName()

Specified by:
  `getName` in interface `Java.NamedTypeDeclaration`
Returns:
  The declared (not the fully qualified) name of the class or interface

### getDocComment

@Nullable public String getDocComment()

Specified by:
  `getDocComment` in interface `Java.DocCommentable`
Returns:
  The doc comment of the object or `null`

### hasDeprecatedDocTag

public boolean hasDeprecatedDocTag()
Description copied from interface: `Java.DocCommentable`
Returns `true` if the object has a doc comment and the `&#64;deprecated` tag appears in the doc comment.

Specified by:
  `hasDeprecatedDocTag` in interface `Java.DocCommentable`

### isAbstract

public boolean isAbstract()

### isFinal

public boolean isFinal()

### isStrictfp

public boolean isStrictfp()